GRAPH1D_INIT(3)

EXPERIMENTAL_FUNC
graph1d_init - Initialise the package for a particular canvas.

SYNOPSIS
#include <karma_graph1d.h>

void graph1d_init

(KWorldCanvas canvas)

DESCRIPTION
This routine will initialise the <-graph1d-> package for a particular world canvas. Calling this routine causes a number of callback routines internal to the package to be registered with the canvas (such as refresh and position event callbacks). This routine must be called before creating viewable graphs.

canvas
    The world canvas object.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/